{**************************************************
*      GETTING GPS DATA                           *
*                                                 *
***************************************************
The intent of this program is to practice extracting GPS Data from
a data stream to PIN 1 of the Propeller at 9600 baud.
   
}
CON
 _clkmode        = xtal1 + pll16x
 _xinfreq        = 5_000_000

 RxPin = 1
   CR = 13                                               ' ASCII <CR>
   LF = 10                                               ' ASCII <LF>
          
OBJ
 ss     : "Simple_Serial"
 fds    : "FullDuplexSerial"
 GPS    : "GPS_IO_mini"
VAR
long Time
  
Pub Main


GPS_Time                        'This sould displat the GPS time data to the PST.  


'GPS_String_to_PST      'A simple routine I prepared to send data to the PST.  It just proves the GPS is working


Pub GPS_Time
GPS.start(1,9600)               'Starts the GPS data parser to Rx data at 9600

fds.start(31,30,0,57600)        'Sending data to PST must be turned off to use VP terminal   

repeat
  Time:=GPS.time                 'Setting global variable time equal to gps.time  
  fds.tx(time)                    'Transmits time data to PST works great w/o VP active
'   fds.tx(CR)
'   fds.tx(LF)

Pub GPS_String_to_PST|x                'This routine works just fine and sends the NMEA strings to the PST
 ss.init(1,-1,9600)             'Message in on pin 1, no TX (-1) and 9600 baud 
  
 fds.start(31,30,0,57600)       'Sending data to PST must be turned off to use VP terminal 
  
 repeat
   
   x:=ss.rx                     'Receive a byte on pin 3 from the GPS
  
  fds.tx(x)                     'Transmits data to PST works great w/o VP active 
  